function []=Trace_Spirale(Lon_Bouee,Lat_Bouee,lonspir,latspir,mode)
%
% trace_Spirale
%
% mode 'old' ou 'new' ou 'dep'
% pour distinguer spirale ancienne et nouvelle
%

switch mode
    case 'new'
        %%%%plot position bouee
        m_plot(Lon_Bouee,Lat_Bouee,'o','markersize',10,...
        'MarkerFaceColor','b','MarkerEdgeColor','b');
        m_text(Lon_Bouee,Lat_Bouee,' New Pos ','fontweight','bold','color','b');
        m_plot(lonspir,latspir,'b-');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','b','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
    case 'old'
        m_plot(Lon_Bouee,Lat_Bouee,'o','markersize',10,...
        'MarkerFaceColor','r','MarkerEdgeColor','r');
        m_text(Lon_Bouee,Lat_Bouee,' Old Pos ','fontweight','bold','color','r');
        m_plot(lonspir,latspir,'r:');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','r','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
    case 'dep'
        m_plot(Lon_Bouee,Lat_Bouee,'o','markersize',10,...
        'MarkerFaceColor','r','MarkerEdgeColor','r');
        m_text(Lon_Bouee,Lat_Bouee,' Mise a l eau ','fontweight','bold','color','r');
        m_plot(lonspir,latspir,'r:');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','r','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
end
        

end
