%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% script to read the postion of the 
%%% vessel as acquired during the lagrangian navigation
%%%
%%% 04/09/2010 AD & GR
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ Time_Bateau,Lat_Bateau,Lon_Bateau,vitesse_bateau,cap_bateau ] = lecture_trame_fichier_bateau_tous(file_navire)

% fichier pos_bateau.txt (capture Hyperterminal)
% $INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
% $INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
% ,0000*56

%lecture position bateau
%
disp(' ')
disp(' Lecture trame Fichier BATEAU ')
% ouverture fichier
%file_navire='C:\ScanEtrack\pos_bateau.txt';
%file_navire='Z:\LATEX\Iridium\ScanEtrack\pos_bateau.txt';
f_n=fopen(file_navire);
Trames=fread(f_n,'*char')';

skip=74;
itr=0;
for i=1:skip:23700 %20000trame INGG i=2:skip:js trame INRMC
 itr=itr+1;
% recherche l'avant derniere trame INGGA dans le tableau entier
indice_modele_boat1=strfind(Trames,'$INGGA');
trame1=Trames(indice_modele_boat1(i):indice_modele_boat1(i)+50);
%decodage de  la trame trouvee
% $INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
% ,0000*56
comma=strfind(trame1,',');

Lat_Bateau_degre_minute=str2num(trame1(comma(2)+1:comma(3)-1))/100;  %%% a verifier
Lat_Bateau(itr)=conversion(Lat_Bateau_degre_minute);

Lon_Bateau_degre_minute=str2num(trame1(comma(4)+1:comma(5)-1))/100 ;
Lon_Bateau(itr)=conversion(Lon_Bateau_degre_minute);

Heure_Bateau=(trame1(comma(1)+1:comma(2)-4));

% recherche l'avant derniere trame INRMC dans le tableau entier
indice_modele_boat2=strfind(Trames,'$INRMC');
trame2=Trames(indice_modele_boat2(i):indice_modele_boat2(i)+65); % 65 to get to the end of the line
%decodage de  la trame trouvee
% $INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
comma=strfind(trame2,',');
Date_Bateau=trame2(comma(9)+1:comma(10)-1);
Time_Bateau(itr)=datenum([Date_Bateau,Heure_Bateau], ...
    'ddmmyyHHMMSS');

vitesse_bateau(itr)=9999;%str2num(trame2(comma(7)+1:comma(8)-1));
cap_bateau(itr)=999;%str2num(trame2(comma(8)+1:comma(9)-1));
%disp([' DERNIERE Position Bateau le ',datestr(Time_Bateau),' Lat ',num2str(Lat_Bateau),' Lon ',num2str(Lon_Bateau)])

%% en sortie temps en secondes
Time_Bateau(itr)=Time_Bateau(itr)*86400; %% en secondes


end%for itr
% fermeture du fichier
fclose(f_n);



