function [dir,int]=cal_angle_current(u,v)

%%%  cal_angle.m
%%% calculate the angle from 2 composant of velocity
%%% prefer to calculat the wind direction from the two composants u & v

theta=atan(u/v)*180/pi;

if u==0 & v==0
   dir=0;
end

% 0~90
if sign(u)>=0 & sign(v)>=0
dir=theta;
end
% 91~180
if sign(u)>=0 & sign(v)<0
dir=180-abs(theta);
end

% 181~270
if sign(u)<0 & sign(v)<=0
dir=180+abs(theta);
end

% 271~359
if sign(u)<0 & sign(v)>0
dir=360-abs(theta);
end

int=sqrt(u^2+v^2);

return