
%****    program pour les champs de vent

clear all;
close all

%** Maman 2001 
%  dirin='/mnt/reo1000/hu/DATA_WIND/MAMAN_2001/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/MAMAN_2001/';
%  MECO=339; NECO=115; PAS=3000;
%** Maman 2001 TEST
%  dirin='/mnt/reo1000/hu/DATA_WIND/MAMAN_2001/TEST/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/MAMAN_2001/TEST/';
%  MECO=339; NECO=115; PAS=3000;


%** Fille 1 2001 
%  dirin='/mnt/reo1000/hu/DATA_WIND/FILLE1_2001/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/FILLE1_2001/';
%  MECO=300;NECO=113;PAS=1500;
%** Fille 1 2001 TEST
%  dirin='/mnt/reo1000/hu/DATA_WIND/FILLE1_2001/TEST/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/FILLE1_2001/TEST/';
%  MECO=300;NECO=113;PAS=1500;
%  %** Fille 2 2001 
%  dirin='/mnt/reo1000/hu/DATA_WIND/FILLE2_2001/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/FILLE2_2001/';
%  MECO=260,NECO=124;PAS=1000;
%  %** Fille 3 2001 
%  dirin='/mnt/reo1000/hu/DATA_WIND/FILLE3_2001/';
%  dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/FILLE3_2001/';
%  MECO=285; NECO=192;PAS=1000;
 %  %** Fille 4 2001 
dirin='/mnt/reo1000/hu/DATA_WIND/FILLE4_2001/';
dirout='/mnt/reo1000/hu/ANALYSE_SORITES/WIND_CURRENT/FILLE4_2001/';
MECO=285; NECO=192;PAS=1000;

 cunit=input('cunit (default=4)? '); 
if isempty(cunit)==1;cunit=4;end;

coef=input('coeff (default=0.02)? '); 
if isempty(coef)==1;coef=0.02;end;
nvec=input('nvec=? (default=9)');
if isempty(nvec)==1;nvec=9;end;

%___________________________________ choise of the analysis date
%    hini=input('hini=');
%    hend=input('hend=');
       M1=input('\n  Month of the begining (Number: 1,2,...,12) =  ');
       D1=input('\n  Date of the begining = '); 
       if M1==1;
          disp('   ')
          disp('  First data begins at 9 Jan')
          disp('   ')
         if D1<9
            disp('  Data of this data does not exist! Stop the analysis ')
            break
         end
       end
       h1=input('\n  Hour of the beginning = '); 
       M2=input('\n  Month of the end = ');
       D2=input('\n  Date of the end = '); 
       h2=input('\n  Hour of the end = ');
       [M_day_bf1,M_day1]=set_month(M1);
       [M_day_bf2,M_day2]=set_month(M2);
       numstart=calcul_num_sym(M1,D1);
       numend=calcul_num_sym(M2,D2);
       record1=calcul_record_wind(M1,D1,h1) %** first record of wind data for one figure per day
       record2=calcul_record_wind(M2,D2,h2)
%         record2=record1+(numend-numstart)*8; %** last record of wind data
%____________________________________________________

%  record1=1; record2=1;
%    for hindex=hini:1:hend;
titi=input('\n  Interval of time step = (3h at least, defaut value) ');
if isempty(titi)==1; titi=3;end
if rem(titi,3)~=0
disp(' ')
disp(' number must be the integral multiple of 3 hours ')
disp(' ')
titi=input('\n  Interval of time step =  ')
end
t_index=titi/3;
  for hindex=record1:t_index:record2;
  hindex

  eval(['load ',dirin,'lonlatvent_',num2str(hindex),'.dat']);
  lon=eval(['lonlatvent_',num2str(hindex),'(:,1)']);
  lat=eval(['lonlatvent_',num2str(hindex),'(:,2)']);
  u=eval(['lonlatvent_',num2str(hindex),'(:,3)']);
  v=eval(['lonlatvent_',num2str(hindex),'(:,4)']);
  
  lon_m=reshape(lon,MECO,NECO);
  lat_m=reshape(lat,MECO,NECO);
  u_m=reshape(u,MECO,NECO);
  v_m=reshape(v,MECO,NECO);
  
%  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  %*****  autre faon pour transferer les vecteurs en matrix et voir la diffrence entre les deux faons
%  
%  clio=find((lat(1:end-1)-lat(2:end))>0);
%  clio(length(clio)+1)=length(u);
%  lon_m2(length(clio),clio(1))=0;
%  lat_m2(length(clio),clio(1))=0;
%  u_m2(length(clio),clio(1))=0;
%  v_m2(length(clio),clio(1))=0;
%  for i=1:length(clio);
%  lon_m2(i,:)=lon(1+clio(i)-339:clio(i),:)';
%  lat_m2(i,:)=lat(1+clio(i)-339:clio(i),:)';
%  u_m2(i,:)=u(1+clio(i)-339:clio(i),:)';
%  v_m2(i,:)=v(1+clio(i)-339:clio(i),:)';
%  end   
%  
%  dif=lon_m-lon_m2;
%  mean(mean(dif))
%  break
%  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  [Mp,Np]=size(lat_m);

  

%    rect1=[0.15 0.15 0.65 0.8];
%    axes('position',rect1);
  figure(1);hold on;
    m_proj('mercator','longitudes',[2 8],'latitudes',[40 45]);
%     m_proj('mercator','longitudes',[min(lon) max(lon)],'latitudes',[min(lat) max(lat)]);
%  m_proj('mercator','longitudes',[-1.77115 10.9287],'latitudes',[38.2815 45.6427]);
%    m_usercoast('nwmd.mat','color','k');





  %***  calculer la vorticit et la plotter 
hold on; 
pm(1:Mp,1:Np)=1/PAS; pn=pm;
vort_vent=psi2rho(vorticity(u_m(:,1:Np-1),v_m(1:Mp-1,:),pm,pn));
  hold on; 
m_contourf(lon_m,lat_m,vort_vent,[-0.6:.05:1].*1e-3); colorbar; shading flat;
warning off;
%       m_contourf(lon_m(1:Mp-1,2:Np),lat_m(1:Mp-1,2:Np),vort_vent);


%%****  pour plotter les vitesses du vent

  %**  tourner les vecteurs 31
  gam=(pi/180)*31;
  u_mr=u_m*cos(gam)-v_m*sin(gam);
  v_mr=u_m*sin(gam)+v_m*cos(gam);
  hold on;  
u_mr=coef.*u_mr; v_mr=coef.*v_mr; 
m_quiver(lon_m(1:nvec:Mp,1:nvec:Np),lat_m(1:nvec:Mp,1:nvec:Np),u_mr(1:nvec:Mp,1:nvec:Np),v_mr(1:nvec:Mp,1:nvec:Np),0,'k');
%    u_m=coef.*u_m; v_m=coef.*v_m;
%    m_quiver(lon(1:nvec:Mp,1:nvec:Np),lat(1:nvec:Mp,1:nvec:Np),u(1:nvec:Mp,1:nvec:Np),v(1:nvec:Mp,1:nvec:Np),0,'k');
%    u2=coef.*u2;v2=coef.*v2; 
%    m_quiver(lon(1:nvec:Mp,1:nvec:Np),lat(1:nvec:Mp,1:nvec:Np),u2(1:nvec:Mp,1:nvec:Np),v2(1:nvec:Mp,1:nvec:Np),0,'k');
 hold on;
  m_usercoast('GOL.mat','color','b');
  m_grid('box','fancy','tickdir','in');
  
  hold on;
  add_my_arrow(5.7,43.6,cunit,coef,'ms^{-1}','r');
  add_my_arrow_ver(5.7,43.6,cunit,coef,'ms^{-1}','r');
  
  xlabel('x-longitude');
  ylabel('y-latitude'); 
%  title(['N= ',num2str(hindex),'     Mois=',num2str(M2),'     Day=',num2str(dayindex2),'      Heure=',num2str(tindex2)]);  
%   title(['MAMAN  Origin_wind    Record = ',num2str(hindex)]);  
%   title(['MAMAN  TEST LOCAL    Record = ',num2str(hindex)]);  


  [M,D,H]=record2mdh(hindex);
title(['Fille 4  Par P. Marsaleix    Record = ',num2str(hindex),' M=',num2str(M),' D=',num2str(D),' h=',num2str(H)]); 
%   title(['Fille 1 TEST Local    Record = ',num2str(hindex)]); 
%  title(['Fille 2 Local    Record = ',num2str(hindex)]); 
%    title(['Fille3     Record = ',num2str(hindex)]);
%  hold off;     
%  rect2=[0.1 0.06 0.7 0.02];
%  axes('position',rect2);

%  add_my_T(dayindex2,1,31,2,10,12); 



%  add_my_T(dayindex,0,24,3,10,12); 
%  saveas(1,[dirout,'vorvel_vent_',num2str(hindex),'.eps'],'epsc2');
%  saveas(1,[dirout,'vorvent_',num2str(hindex),'.jpg'],'epsc2');  
%  saveas(1,[dirout,'vorvent_',num2str(hindex),'.eps'],'epsc2');
saveas(1,[dirout,'vorvent_',num2str(hindex),'.png'],'epsc2');
%  clear lon lat u v lon_m lat_m u_m v_m vort_vent;
%    saveas(1,[dirout,'vent_',num2str(hindex),'.eps'],'epsc2');
 % pause
%   waitforbuttonpress
  hold off
   clf
  end

  
  