%clear;close all;
%%% PARAMETERS
%
%- area limits -% (in degres)
lon_min =  3.;
lon_max =  5 ;
lat_min = 42;
lat_max = 43.5;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
dirin='..\Bouee_NicolasMartin\';

interval=[datenum(2010,9,1,6,15,0) now]%datenum(2010,9,14,6,15,2)];%day of the trajecotry
%
%%% FIGURE 
figure(1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);

%%%% Buoys lauchend off LaSeyne
plot_Argos_buoys_id(dirin,48943,'ko',interval)
plot_Argos_buoys_id(dirin,48944,'go',interval)
plot_Argos_buoys_id(dirin,48945,'yo',interval)
plot_Argos_buoys_id(dirin,48946,'ro',interval)

%%%% CARIOCA buoy
plot_Argos_buoys_id(dirin,26128,'ko-',interval);

%%%% IRIDIUM buoy
plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);


%%%% Buoys lauchend at last round of spiral
plot_Argos_buoys_id(dirin,83631,'r*-',interval);
plot_Argos_buoys_id(dirin,93265,'b*-',interval);
plot_Argos_buoys_id(dirin,47833,'k*-',interval);
plot_Argos_buoys_id(dirin,47835,'g*-',interval);
plot_Argos_buoys_id(dirin,48863,'y*-',interval);
plot_Argos_buoys_id(dirin,48903,'c*-',interval);
plot_Argos_buoys_id(dirin,48920,'m*-',interval);
plot_Argos_buoys_id(dirin,48939,'r*:',interval);
plot_Argos_buoys_id(dirin,48940,'b*:',interval);
plot_Argos_buoys_id(dirin,29457,'k*:',interval);
plot_Argos_buoys_id(dirin,29491,'g*:',interval);

% plot_Argos_buoys_id(dirin,30448,'k+-',interval);
% plot_Argos_buoys_id(dirin,30394,'k+:',interval);
% plot_Argos_buoys_id(dirin,30471,'k*:',interval);
%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%%% LAT-LON PROJECTION
m_grid('box','fancy','tickdir','in');
%
