function [ Time_Bateau,Lat_Bateau,Lon_Bateau,vitesse_bateau,cap_bateau ] = lecture_trame_fichier_bateau(indice)

% fichier pos_bateau.txt (capture Hyperterminal)
% $INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
% $INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
% ,0000*56

%lecture position bateau
%  indice ==0 ouverture
if indice == 0 %% ouverture
    disp(' ')
    disp(' Lecture trame Fichier BATEAU ')
    % ouverture fichier
    file_navire='C:\ScanEtrack\pos_bateau.txt';
    f_n=fopen(file_navire);
    Trames=fread(f_n,'*char')';
    indice_modele_boat_GGA=strfind(Trames,'$INGGA');
    indice_modele_boat_RMC=strfind(Trames,'$INRMC');
    save boat_pos Trames indice_modele_boat_GGA indice_modele_boat_RMC;
else    % sinon indice dans le fichier
    load  boat_pos;
    %recherche la prochaine trame INGGA dans le tableau entier
    trame=Trames(indice_modele_boat_GGA(indice):indice_modele_boat_GGA(indice)+80);
    %decodage de  la trame trouvee
    %$INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
    %,0000*56
    comma=strfind(trame,',');
    Lat_Bateau_degre_minute=str2num(trame(comma(2)+1:comma(3)-1))/100;  %%% a verifier
    Lat_Bateau=conversion(Lat_Bateau_degre_minute);
    Lon_Bateau_degre_minute=str2num(trame(comma(4)+1:comma(5)-1))/100;
    Lon_Bateau=conversion(Lon_Bateau_degre_minute);   
    Heure_Bateau=(trame(comma(1)+1:comma(2)-4));

    %recherche la prochaine trame INRMC dans le tableau entier
    trame=Trames(indice_modele_boat_RMC(indice):indice_modele_boat_RMC(indice)+65);
    %decodage de  la trame trouvee
    %%$INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
    comma=strfind(trame,',');
    Date_Bateau=(trame(comma(9)+1:comma(10)-1));
    Time_Bateau=datevec([Date_Bateau,Heure_Bateau],'ddmmyyHHMMSS');  %% en jours
    vitesse_bateau=str2num(trame(comma(7)+1:comma(8)-1));
    cap_bateau=str2num(trame(comma(8)+1:comma(9)-1));
    %disp([' Position Bateau le ',datestr(Time_Bateau),' Lat ',num2str(Lat_Bateau),' Lon ',num2str(Lon_Bateau)])

    % en sortie temps en secondes
    Time_Bateau=datenum(Time_Bateau)*86400; %% en secondes
end
% fermeture du fichier
%% fclose(f_n);
% stringa=['copy c:\ScanEtrack\pos_bateau.txt c:\ScanEtrack\pos_bateau_',datestr(clock,'yyyymmddHHMMSS'),'.txt'];
% system(stringa);
% stringd=['del c:\ScanEtrack\pos_bateau.txt'];
% system(stringd);


end

