function [ Time_Bouee,Lat_Bouee,Lon_Bouee ] = lecture_trame_fichier_bouee(ordre)

% ordre = 0 derniere position
% ordre = 1 avant derniere position
%
% cette fonction lit les trames dans
% le fichier ScanEtrack aaaammjjhhmmss_xx.txt
% 2010-08-25 14:00:28;43.106750;5.883755;0;144;0;Tracking;0
% Le contenu est le suivant :
% 2010-02-01 16:55:51;48.718517;2.564620;95;1;0;ALARME;0
% 2010-02-01 16:55:51	: Date et heure du SBD 
% 48.718517			: Latitude
% 2.564620			: Longitude
% 95				: Altitude
% 1	: Event (1 = Alarme; 2 = Alerte, 21 = tracking)
% 0	: Vitesse  
% ALARME	: Message li  l'vnement
% 0	: Cap
% lecture position bouee
disp(' ')
disp(' Lecture trame Fichier BOUEE ')
r=dir('C:\ScanEtrack\trame\*.txt');
r_name={r.name};
% % recherche du fichier le plus recent
% Date_File_entier=char(r_name);
% Date_File=Date_File_entier(:,1:14);
% [is,js]=size(Date_File);
% Col_T(1:is)='T';
% Date_=datenum([Date_File(:,1:8),Col_T',Date_File(:,9:14)],'yyyymmddTHHMMSS');
% if ordre == 0 ;
%     file_bouee=r(find(Date_==max(Date_))).name;
%     disp([' DERNIER Fichier de bouee recu ',file_bouee])
% elseif ordre == 1 ;
%     Date_(find(Date_==max(Date_)))=0;
%     file_bouee=r(find(Date_==max(Date_))).name;
%     disp([' AVANT DERNIER Fichier de bouee recu ',file_bouee])
% else disp(' Erreur entree ordre dans lecture trame fichier bouee ')
% end
   
file_bouee=r(ordre).name;
disp([' Fichier de bouee recu ',file_bouee])
% ouverture et lecture du fichier trouve
f_b=fopen(['C:\ScanEtrack\trame\',file_bouee]);
trame=fread(f_b,'*char')';

%decodage de la ligne du fichier bouee
% 2010-08-25 14:00:28;43.106750;5.883755;0;144;0;Tracking;0
comma=strfind(trame,';');
Lat_Bouee=str2num(trame(comma(1)+1:comma(2)-1));  %   verifier
Lon_Bouee=str2num(trame(comma(2)+1:comma(3)-1));
% recherche de date et heure dans la trame
Time_Bouee=datevec(trame(1:19),'yyyy-mm-dd HH:MM:SS');
disp(['   Position bouee le ',datestr(Time_Bouee),' Lat ',num2str(Lat_Bouee),' Lon ',num2str(Lon_Bouee)])

%% en sortie temps en secondes
Time_Bouee=datenum(Time_Bouee)*86400; %% en secondes

%fermeture du fichier bouee
fclose(f_b);

end

