function [dir,int]=cal_angle_wind(u,v)

%%%  cal_angle.m
%%% calculate the angle from 2 composant of velocity
%%% prefer to calculat the wind direction from the two composants u & v
%% Correction at 20/10/08: Not simply 360-teta for the wind direction
%% Notebook P13-b
%% Figure of direction


theta=atan(u/v)*180/pi;
%  theta2=atan(v/u)*180/pi
if u==0 & v==0
   dir=0;
end
% 0~90
if sign(u)<0 & sign(v)<=0
dir=theta;
end

% 91~179
if sign(u)<0 & sign(v)>=0
dir=180-abs(theta);
end

%  pause


% 180~269
if sign(u)>=0 & sign(v)>0
dir=180+abs(theta);
end

% 270~359
if sign(u)>0 & sign(v)<=0
dir=360-abs(theta);
end

%  dir=360-dir; % attention of the definition of wind and current
int=sqrt(u^2+v^2);

return