function [liste_buoy,buoy_id,lat,lon,yy,mm,dd,hh,mi]=load_Argos_buoys(dirin,interval)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  load_Argos.m
%  this subfunction helps us to get all the necessary
%  infos from the Arogs file - **.txt from Ifremer
%  Andrea Doglioli & Gilles Rougier - 06/09/2010 - mofication to read new
%  file of buoy send by Nicolas Martin 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% disp(' ')
% disp(' Lecture Fichier Bouee Argos ')
%r=dir([dirin,'\*.txt']);
r=dir([dirin,'\*.tmp']);
r_name={r.name};
% recherche du fichier le plus recent
Date_File_entier=char(r_name);
Date_File=Date_File_entier(:,7:21);
Date_=datenum(Date_File_entier(:,7:21),'yyyymmddTHHMMSS');
file_bouee=r(find(Date_==max(Date_))).name;
disp([' LAST RECEIVED Argos file : ',file_bouee])

var=load([dirin,file_bouee]);

%  (PLATFORM,ARGOS_ID),DATE (DD MM YYYY HH MI SS),LATITUDE (degree_north),LONGITUDE (degree_east),TEMP LEVEL0 (Celsius degree),EWCT LEVEL1 (meter/second),NSCT LEVEL1 (meter/second),QC,SVP_RCBN_Number,SVP_GNRL_ImmPercent,SVP_GNRL_BattVolt
%           48943 01 09 2010 09 00 11   42.95070    5.81980
%           48943 01 09 2010 09 30 16   42.95400    5.80630
%           48943 01 09 2010 10 00 17   42.95820    5.79260
%           48943 01 09 2010 10 30 17   42.96270    5.77800

buoy_id=var(:,1);
dd=var(:,2);
mm=var(:,3);
yy=var(:,4);
hh=var(:,5);
mi=var(:,6);
ss=var(:,7);
lat=var(:,8);
lon=var(:,9);

%%% add info from previous file long file
var=load([dirin,'LATEX.20100918T231501.tmp']);

buoy_id=[buoy_id ; var(:,1)];
dd=[dd ; var(:,2)];
mm=[mm ; var(:,3)];
yy=[yy ; var(:,4)];
hh=[hh ; var(:,5)];
mi=[mi ; var(:,6)];
ss=[ss ; var(:,7)];
lat=[lat ; var(:,8)];
lon=[lon ; var(:,9)];

%%% add info from previous file long file
var=load([dirin,'LATEX.20100915T071502.tmp']);

buoy_id=[buoy_id ; var(:,1)];
dd=[dd ; var(:,2)];
mm=[mm ; var(:,3)];
yy=[yy ; var(:,4)];
hh=[hh ; var(:,5)];
mi=[mi ; var(:,6)];
ss=[ss ; var(:,7)];
lat=[lat ; var(:,8)];
lon=[lon ; var(:,9)];

%%% add info from previous file long file
var=load([dirin,'LATEX.20100915T231502.tmp']);

buoy_id=[buoy_id ; var(:,1)];
dd=[dd ; var(:,2)];
mm=[mm ; var(:,3)];
yy=[yy ; var(:,4)];
hh=[hh ; var(:,5)];
mi=[mi ; var(:,6)];
ss=[ss ; var(:,7)];
lat=[lat ; var(:,8)];
lon=[lon ; var(:,9)];

%%% add info from previous file long file
var=load([dirin,'LATEX.20100916T231502.tmp']);

buoy_id=[buoy_id ; var(:,1)];
dd=[dd ; var(:,2)];
mm=[mm ; var(:,3)];
yy=[yy ; var(:,4)];
hh=[hh ; var(:,5)];
mi=[mi ; var(:,6)];
ss=[ss ; var(:,7)];
lat=[lat ; var(:,8)];
lon=[lon ; var(:,9)];

%%% add info from previous file long file
var=load([dirin,'LATEX.20100917T231502.tmp']);

buoy_id=[buoy_id ; var(:,1)];
dd=[dd ; var(:,2)];
mm=[mm ; var(:,3)];
yy=[yy ; var(:,4)];
hh=[hh ; var(:,5)];
mi=[mi ; var(:,6)];
ss=[ss ; var(:,7)];
lat=[lat ; var(:,8)];
lon=[lon ; var(:,9)];

time_id=datenum(yy,mm,dd,hh,mi,0);%[day]

%%%ORDENING matrix with SORT
mymat=[time_id lon lat];

mymat=sort(mymat,1);

lon=mymat(:,2);
lat=mymat(:,3);

indice=1;
j=1;
while indice < length(buoy_id);
    ind=find(buoy_id(:)==buoy_id(indice));
    liste_buoy(j)=buoy_id(indice);
    indice=ind(end)+1;
    j=j+1;
end
    



return




















