%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  %  %  %  plot_ADCP_center.m
%  %  %  %  To plot the estimated eddy center
%  %  %  %  read the file created by COE_finder_ziyuan.hu
%  %  %  %  From tangtial composant or radial composant
%  %  %  %  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%clear all;close all;
addpath('./sub_functions/');

dirin='./data_cruise/';
dirout='../';
 
zc=(-244:4:-8)'; 

qtrans=1%input('Which trajectory?\n     [1]\n     [3]\n   ');

if qtrans==1;
	fname='quadrillage1_sk.mat';
%  	dirout='/home/hu/These_Work/Latex08/ADCP/COE_ADCP/Ex_COE/Figs_transect1/';
	n1=311;
	n2=622;
	s1=330; s2=530; %ex2_330-530
%  %  	s1=330; s2=510; %ex3_330-510
%  	s1=315; s2=505; %ex4_315-505
%  	s1=335; s2=505; %ex5_335-505
%  	s1=n1; s2=n2; %ex_n1-n2
%  %  %     	lonmin = 3.2;
%  %  %  	lonmax = 3.85;
%  %  %  	latmin = 42.2;
%  %  %  	latmax = 42.85;
	lonmin = 3.5;
	lonmax = 3.85;
	latmin = 42.5;
	latmax = 42.75;

elseif qtrans==3;
	fname='quadrillage3_sk.mat';
%  %  	dirout='/home/hu/These_Work/Latex08/ADCP/COE_ADCP/Ex_COE/Figs_transect3/';
	n1=1;
	n2=470;
%  	s1=129; s2=299;
	s1=129; s2=255;
%  	s1=n1; s2=n2; %ex_1-470
   	lonmin = 3.45;
%  	lonmax = 3.7;%ex2_129-255_2,3
        lonmax = 3.8; %ex2_129-255-4
	latmin = 42.45;
	latmax = 42.7;

end

dlon=(lonmax-lonmin)/29;
dlat=(latmax-latmin)/29;

%loncont=lonmin:dlon:lonmax;
%latcont=latmin:dlat:latmax;
[loncont,latcont]=meshgrid(lonmin:dlon:lonmax,latmin:dlat:latmax);

[lon,lat,temp,u,v,amp,angle,nEnsembles,nCells,gyro]=load_ADCP(dirin,fname,0.65);
[lontra,lattra,temptra,utra,vtra,amptra,angletra]=select_transect(n1,n2,lon,lat,temp,u,v,amp,angle);


    cunit=0.5%input('\n  cunit (default=0.3)? '); 
    if isempty(cunit)==1;cunit=0.3;end;
%      coeff=input('\n  coeff (default=2)? '); 
%      if isempty(coeff)==1;coeff=2;end;
    coeff=0.5%input('\n  coeff (default=0.2)? '); 
    if isempty(coeff)==1;coeff=0.2;end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%  Choose the depth  %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Liste de toutes les profondeurs :
% for jj=8:4:244
%     if jj<=9
%         p(jj/4-1,1:3)=sprintf('00%d',jj);
%     elseif jj>=10 & jj<=99
%         p(jj/4-1,1:3)=sprintf('0%d',jj);
%     elseif jj>=100 & jj<=999
%         p(jj/4-1,1:3)=sprintf('%d',jj);
%     end
% end
% p=cellstr(p);

%   qq=input(' qq  = 1 [tangential composant]  \n     = 2 [radial composant]  \n');
qq=1;
%  for i=1:18
for i=3:3


if qq==1;
%   load([dirin,'transect',num2str(qtrans),'_mtg_map.mat']);
%   load([dirin,'transect',num2str(qtrans),'_coe_mtg.asc']);
%   loncenter=transect_coe_mtg(i,2);
%   latcenter=transect_coe_mtg(i,1);
load([dirin,'transect',num2str(qtrans),'_mtg_map.mat']);
var_mtg=load([dirin,'transect',num2str(qtrans),'_coe_mtg.asc']);
loncenter=var_mtg(i,2);
latcenter=var_mtg(i,1);
 convel=squeeze(map_Mtg(i,:,:));
%%%%%%%%% for another eddy center (transect 1)
var_mtgb=load([dirin,'transect1_coe_mtg.asc']);
loncenterb=var_mtgb(i,2);
latcenterb=var_mtgb(i,1);

elseif qq==2
load([dirin,'transect',num2str(qtrans),'_rms_map.mat']);
var_rms=load([dirin,'transect',num2str(qtrans),'_coe_rms.asc']);
loncenter=var_rms(i,2);
latcenter=var_rms(i,1);
%  loncenter=transect_coe_rms(i,2);
%  latcenter=transect_coe_rms(i,1);
%  eval(['loncenter=transect',num2str(qtrans),'_coe_rms(i,2)']);
%  eval(['latcenter=transect',num2str(qtrans),'_coe_rms(i,1)']);
convel=squeeze(map_RMS(i,:,:));

end
    
%boucle=0;
kk=1;
%while(boucle==0)
    %bin=menu('Quelle profondeur ?',p);
    bin=i
   % bin=menu('Quelle profondeur ?',p);
    eval(['bin',int2str(kk),'=bin;'])
    eval(['prof',int2str(kk),'=(bin',int2str(kk),'+1)*4;'])
%  %      utrabin=utra(bin,:)'; % bin x n1:n2
%  %      vtrabin=vtra(bin,:)';
%  %      urho=coeff.*utrabin; vrho=coeff.*vtrabin;   

    

[hf]=figure(1);    hold on;
if qtrans==1;
m_proj('mercator','lon',[2.8 4.5],'lat',[41.9 43.3]);
	%  m_proj('mercator','lon',[3 4.1],'lat',[42.2 42.8]);
elseif qtrans==3;
%    m_proj('mercator','lon',[3.4 3.95],'lat',[42.3 42.8]);
%  m_proj('mercator','lon',[3 4.1],'lat',[42.2 42.8]);
end

    m_grid('box','fancy','tickdir','in');
    m_usercoast('./sub_functions/GOL.mat','patch',[0.6 0.6 0.6]); 
    
  
    vmax=max(max(convel));
    vmin=min(min(convel));	
    intv=(vmax-vmin)/29;

    hold on;
    m_contourf(loncont,latcont,convel,[vmin:intv:vmax]);
    shading flat;
    colorbar('SouthOutside' );

     %m_grid('box','fancy','tickdir','in');hold on;
     %m_usercoast('./sub_functions/GOL.mat','patch',[0.6 0.6 0.6]); 

    hold on;

    m_quiver(lon(s1:s2)',lat(s1:s2)',coeff.*u(bin,s1:s2),coeff.*v(bin,s1:s2),0,'k');hold on;
    m_quiver(lon(n1:s1-1)',lat(n1:s1-1)',coeff.*u(bin,n1:s1-1),coeff.*v(bin,n1:s1-1),0,'color',[0.75 0.75 0.75]);
    m_quiver(lon(s2+1:n2)',lat(s2+1:n2)',coeff.*u(bin,s2+1:n2),coeff.*v(bin,s2+1:n2),0,'color',[0.75 0.75 0.75]);
%      m_text(loncenter,latcenter,'*','fontsize',20,'color','r');
    m_plot(loncenter,latcenter,'*','markersize',8,'LineWidth',1.5,'color',[0.97 0.97 0.97]);
%      hold on;


%      add_my_arrowscale(3.06,42.25,cunit,coeff,'ms^{-1}','r');
%       add_my_arrowscale(3.06,42.25,cunit,coeff,'ms^{-1}','r');   
%       add_my_arrow(3.06,42.27,cunit,coeff,'ms^{-1}','r');
%       msar=m_text(3.06,42.25+0.026,[num2str(cunit),' ms^{-1}'],'HorizontalAlignment','left',...
%  		'VerticalAlignment','bottom');
%       set(msar,'Color','r','FontWeight','demi');

%   m_usercoast('D:\Ziyuan\Latex_data\Analyse_ADCP_Tethys\GOL.mat','color','k');

%     [h]=annotation(figure(i),'textbox',[0.22 0.75 0.1 0.1]);
%     set(h,'String',{['Transect ',num2str(qtrans)],[num2str(prof1),' m depth']},...
% 	'VerticalAlignment','middle',...
% 	'HorizontalAlignment','center',...
%           'FitBoxToText','on');


m_text(3.1,42.65,'16m depth');
  xlabel('Longitude');
  ylabel('Latitude');
 if qtrans==1;
     m_text(3.1,42.7,'Transect 1');
     title('a)','FontWeight','bold');
 else
     m_text(3.1,42.7,'Transect 3');
     title('b)','FontWeight','bold');
 end
    %saveas(i,[dirout,'COE_Trans-',num2str(qtrans),'_mtg_bin_',num2str(i),'.eps'],'epsc2');

%dirout2='../others/';
%saveas(i,[dirout2,'COE_Trans-',num2str(qtrans),'_mtg_bin_',num2str(i),'.png']);
%  pause
%  clf
%close(i);
clear utrabin vtrabin urho vrho convel loncenter latcenter vmax vmin intv ;
end
