%plot_lonlat_saved.m

% plot the lon lat dans une figure pour nous aider a couper les transects a
% la main
% noter les nombres d'ensembles dans le fichier:
% indice_sections_Tethys_*.txt

clear all;
close all;


[fname,dirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\Latex2010_*aphi_new*.mat','Select the Mat file');
load([dirin,fname]);
lon=ensemble(:,14); % nE x 1
lat=ensemble(:,13);
% time=ensemble(:,11);


    figure;hold on;
    plot(lon,'-','color','b');
    plot(lat-39,'-','color','r');
qf=input('If you already have a file indicating the transects indices? [y/n]','s');
if qf=='y'

% [indicename,indicedirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\indice_s
% ections_Tethys_*.txt','Select the transect');
[indicename,indicedirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\clean_indices_*.txt','Select the transect');
info_transect=load([indicedirin,indicename]);
ntransect=info_transect(:,1);
    n1=info_transect(:,2);
    n2=info_transect(:,3);
    
    hold on;
        plot(n1,lon(n1),'rx')
    plot(n1,lat(n1)-39,'rx')
%         plot(n1,lon(n1),'rx')
%     plot(n1,lat(n1)-39,'rx')
    for i=1:length(ntransect)
    text(n1(i)+25,lon(n1(i))+0.01,[num2str(ntransect(i))],'Fontsize',8,'fontweight','bold')
    end
    plot(n2,lon(n2),'bx')
    plot(n2,lat(n2)-39,'bx')
end

    
    



grid on;

title(['Clean for ',fname(1:9),'-',fname(11:18),'-',fname(20:end)]);
break
% 
% plot(lon_total_interp(sum(nE_total(1:end-2)):sum(nE_total)),'color','b');
% hold on;
% plot(lat_total_interp(sum(nE_total(1:end-2)):sum(nE_total))-39,'color','r');

plot(lon_total_interp,'color','b');
hold on;
plot(lat_total_interp-39,'color','r');
[trans_name,trans_dirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\*.txt','Select the transect');
	info_transect=load([trans_dirin,trans_name]);
    ntransect=info_transect(:,1);
    n1=info_transect(:,2);
    n2=info_transect(:,3);

    hold on;
    plot(n1,lon_total_interp(n1),'rx')
    plot(n1,lat_total_interp(n1)-39,'rx')
    for i=1:length(ntransect)
    text(n1(i)+150,double(lon_total_interp(n1(i))+0.05),[num2str(ntransect(i))],'Fontsize',8,'fontweight','bold')
    end
    plot(n2,lon_total_interp(n2),'bo')
    plot(n2,lat_total_interp(n2)-39,'bo')
grid on;