
function [umodule,theta]=umod(aa,bb)

%calcul U module et theta angle (deg) par rapport au nord
%avec aa composante Ouest-Est du courant + vers l'Est
%avec bb composante Nord-Sud du courant + vers le nord
%reverse program is uvdec.m

theta=atan(aa./bb).*180./pi;
umodule=sqrt(aa.^2+bb.^2);

%test sur theta pour mettre des valeurs en negatifs

ind=find(bb<0);
theta(ind)=theta(ind)+180;
ind2=find(bb>=0 & aa<0);
theta(ind2)=theta(ind2)+360;

