%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function plot_BATHY(dirin,mydepths)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw high res isobaths
%%%
%%% INPUT : .txt file
%%%
%%% OUTPUT: isobath on a m_map figure
%%%
%%% ALGORITHM: cycle for differents depths
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 17/09/2010 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_BATHY(dirin,mydepths)

for isobath=mydepths

    [graphlon,graphlat]=load_BATHY(dirin,isobath);

    m_plot(graphlon,graphlat,'color',[.5 .5 .5]);

end

return